Imagick::equalizeImage
Imagick::extentImage
The Imagick class
PHP Manual

# Imagick::evaluateImage

(PECL imagick 2.0.0)

Imagick::evaluateImage — Applies an expression to an image

### Description

bool Imagick::evaluateImage ( int `$op` , float `$constant` [, int `$channel` = Imagick::CHANNEL_ALL ] )
Warning

This function is currently not documented; only its argument list is available.

Applys an arithmetic, relational, or logical expression to an image. Use these operators to lighten or darken an image, to increase or decrease contrast in an image, or to produce the "negative" of an image.

### Parameters

`op`

  The operator

`constant`

  The value of the operator

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to `Imagick::CHANNEL_ALL`. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::equalizeImage
Imagick::extentImage
The Imagick class
PHP Manual